=== libs/surfaces/generic_midi/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            generic_midi_control_protocol.cc
            gmcp_gui.cc
            interface.cc
            midiinvokable.cc
            midicontrollable.cc
            midifunction.cc
            midiaction.cc
    '''
    obj.export_includes = ['.']
    obj.defines      = [ 'PACKAGE="ardour_genericmidi"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes     = [ '.', './generic_midi']
    obj.name         = 'libardour_generic_midi'
    obj.target       = 'ardour_generic_midi'
    obj.uselib       = 'GTKMM GTK GDK XML OSX'
    obj.use          = 'libardour libardour_cp libgtkmm2ext libpbd'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')
