=== libs/surfaces/us2400/wscript ===
#!/usr/bin/env python
import os

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = '''
            button.cc
            controls.cc
            device_info.cc
            device_profile.cc
            fader.cc
            gui.cc
            interface.cc
            jog.cc
            jog_wheel.cc
            led.cc
            us2400_control_protocol.cc
            mcp_buttons.cc
            meter.cc
            midi_byte_array.cc
            pot.cc
            strip.cc
            surface.cc
            surface_port.cc
            types.cc
    '''
    obj.defines      = [ 'PACKAGE="ardour_us2400"' ]
    obj.defines     += [ 'ARDOURSURFACE_DLL_EXPORTS' ]
    obj.includes     = [ '.' ]
    obj.name         = 'libardour_us2400'
    obj.target       = 'ardour_us2400'
    obj.uselib       = 'GTKMM XML OSX'
    obj.use          = 'libardour libardour_cp libgtkmm2ext'
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'surfaces')
