=== debian/changelog ===
ardour (1:8.2.0+ds-1) unstable; urgency=medium

  * New upstream version 8.2.0+ds

  [ Olivier Humbert ]
  * Update d/copyright.
  * d/ardour.desktop: update to a non-versioned name.

  [ Andrius Merkys ]
  * Fix homepage in debian/control.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Build against local libAAF (not packaged yet)
    + Add (dummy) manpage for 'ardour8-new_aaf_session'
  * Update copyright information
    + Add new files to d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Dec 2023 15:28:31 +0100

ardour (1:8.0.0+ds-1) unstable; urgency=medium

  * New upstream version 8.0.0+ds
    + Refresh patches
    + Rename ardour7 -> ardour8
  * Drop no-longer-existing flag for configure
  * Fix 'clean' target (Closes: #1043734)
  * Update (dummy) manpages
    + Generate one for 'ardour8-lua'
    + Drop the one for the non-existent 'ardour8-fix_bbtppq'
  * Simplify d/watch
  * Update copyright information
    + Add new copyrights and dates
    + Clarify license for share/scripts/simple_arp.lua
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Oct 2023 08:48:09 +0200
