=== libs/backends/alsa/wscript ===
#!/usr/bin/env python
import os

I18N_PACKAGE = 'alsa-backend'

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    obj = bld(features = 'cxx cxxshlib')
    obj.source = [
            'alsa_audiobackend.cc',
            'alsa_midi.cc',
            'alsa_rawmidi.cc',
            'alsa_sequencer.cc',
            'alsa_slave.cc',
            'zita-alsa-pcmi.cc',
            ]
    obj.includes = ['.']
    obj.name     = 'alsa_audiobackend'
    obj.target   = 'alsa_audiobackend'
    obj.use      = ['zita-resampler', 'libardour', 'libpbd', 'ardouralsautil']
    obj.uselib   = 'ALSA GLIBMM XML'
    obj.install_path  = os.path.join(bld.env['LIBDIR'], 'backends')
    obj.defines = ['PACKAGE="' + I18N_PACKAGE + '"',
                   'ARDOURBACKEND_DLL_EXPORTS'
                  ]
