=== debian/changelog ===
ardour (1:8.4.0+ds1-2ubuntu8) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:10:13 +0000

ardour (1:8.4.0+ds1-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:38:01 +0000

ardour (1:8.4.0+ds1-2ubuntu6) noble; urgency=medium

  * No-change rebuild against libgtk2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:18:19 +0000

ardour (1:8.4.0+ds1-2ubuntu5) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:40:39 +0000

ardour (1:8.4.0+ds1-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:01:18 +0000

ardour (1:8.4.0+ds1-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:17:34 +0000

ardour (1:8.4.0+ds1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:02:58 +0000

ardour (1:8.4.0+ds1-2ubuntu1) noble; urgency=medium

  * Fix parsing of itstool output by suppressing stderr warnings.
    - note: this is a Python3.12 related issue, that should be probably
      also fixed on itstool side.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 10:43:08 +0100

ardour (1:8.4.0+ds1-2) unstable; urgency=medium

  * Drop B-D on libgtkmm-2.4-dev (Closes: #967257)
  * Drop more unnecessary B-Ds.
    Thanks to Robin Gareus <robin@gareus.org>
  * Drop versioned B-Ds satisfied by old-old-stable
  * B-D on libglibmm, libreadline, libxinerama and libxrandr.
    Thanks to Robin Gareus <robin@gareus.org>

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Feb 2024 12:03:29 +0100

ardour (1:8.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.4.0+ds1
    + Refresh patches
    + Drop patches applied upstream
  * Update copyright information
    + Add new files to d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Feb 2024 23:51:55 +0100
